Bug 185599 - Wrong identification of Base consonant
Wrong identification of Base consonant
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2006-03-15 20:05 EST by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: F7?
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-11 03:00:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bad consonant (98 bytes, text/plain)
2006-03-15 20:05 EST, Jong Bae KO
no flags Details
wrong consonant (3.69 KB, image/png)
2006-03-15 20:06 EST, Jong Bae KO
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 149018 None None None Never

  None (edit)
Description Jong Bae KO 2006-03-15 20:05:24 EST
Description of problem:
"Create a Unicode text file with follow 3 characters
<consonant> <virama> <ZWJ>

indic_ot_reorder function will identify <ZWJ> as the base consonant.
Error seems to be in the file indic-ot-class-tables.c

IndicOTCharClass indic_ot_get_char_class(const IndicOTClassTable *class_table,
gunichar ch)
    if (ch == C_SIGN_ZWJ) {         return CF_CONSONANT | CC_ZERO_WIDTH_MARK;

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Jong Bae KO 2006-03-15 20:05:24 EST
Created attachment 126186 [details]
Bad consonant
Comment 2 Jong Bae KO 2006-03-15 20:06:42 EST
Created attachment 126187 [details]
wrong consonant
Comment 3 Matthias Clasen 2006-06-20 01:10:17 EDT
Reassigning pango bugs to Behdad.
Comment 4 Liang Zhang 2006-08-03 23:12:06 EDT
This bug has been closed in pango's upstream.

 Comment #5 from Karsten Bräckelmann    (developer, points: 22)
2006-07-06 23:40 UTC [reply]

Closing this bug report as no further information has been provided. Please
feel free to reopen this bug, if it still is an issue with recent Pango
versions and if so, please provide the information asked for.  Thanks!
Comment 5 Akira TAGOH 2006-11-01 08:40:02 EST
Please confirm if this still happens on fc6.
Comment 6 Jong Bae KO 2007-10-09 20:25:11 EDT
Please check with QA,
I just rereported it(because bugzilla has failed)
Comment 7 Jens Petersen 2007-10-10 23:09:47 EDT
Ling-Ning could you please check if this is fixed in current pango?
Comment 8 Jens Petersen 2007-10-10 23:13:15 EDT
or Parag, if you can describe how to input the characters?
Comment 9 Parag Nemade 2007-10-11 02:50:08 EDT
Considering http://bugzilla.gnome.org/show_bug.cgi?id=149018#c1 and what we see
in current bugzilla search there are no pending issues reported against ZWJ usage.

I think we can close this bug, as we have not found any problem in ZWJ use or we
can again upstream this bug.

Comment 10 Jens Petersen 2007-10-11 03:00:03 EDT
Thanks, closing.

Note You need to log in before you can comment on or make changes to this bug.